Part Cone/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(31 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/ro|Name=Part Cone|Name/ro=Part Cone|MenuLocation=Part -> Cone||Workbenches=[[Part_Module/ro|Part]], Complete|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]}}


{{Docnav
== Description ==
|[[Part_Sphere|Sphere]]
A parametric truncated Part Cone primitive is available in the Part workbench from the Part tool bar, Part menu (primitives sub-menu) and the Create Primitives dialogue.
|[[Part_Torus|Torus]]
|[[Part_Workbench|Part]]
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
== How to use ==
{{GuiCommand/ro
In the workbench Part click on the cone icon [[Image:Part Cone.png|32px]].
|Name=Part Cone
|Name/ro=Part Cone
|MenuLocation=Part -> Cone
|
|Workbenches=[[Part_Workbench/ro|Part]], Complete
|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]
}}
</div>


== Description ==
The default values create a truncated parametric cone, defined by radius1, radius2 height and angle, parameters. The default cone will be positioned at origin (point 0,0,0) on creation. The angle parameter permits the creation of a portion of cone (it is set to 360° by default), and the radius 1 and 2 correspond to base and top radius of the truncated cone.


<div class="mw-translate-fuzzy">
== Options ==
== Descriere ==
Un con parametric trunchiat este un element tip primitivă geometrică disponibil pe bara de instrumente Part sau în meniu (submeniul primitives) se deschide o casetă de dialog Create Primitives .
</div>

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cone_Example.png|400px]]

== Usage ==

<div class="mw-translate-fuzzy">
== Cum se folosește ==
În atelierul Part click pe iconița [[Image:Part Cone.png|32px]].
</div>

== Example ==

[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]

A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
===Primitive Geometriche===
{|
| [[File:PartConePrimitivesOptions_it.png]]
|
Cono
====Parametri====
* raggio 1,
* raggio 2,
* altezza,
* angolo
====Posizione====
Espandere la voce Posizione per stabilire:
* punto di posizionamento nella vista 3D,
* direzione dell'asse del cono, x, y, z o definita dall'utente.
Anche le dimensioni e il posizionamento del cono prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà.
|}
== Opțiuni ==
{|
{|
| [[File:PartConeProperty_en.png]]
| [[File:PartConeProperty_en.png]]
|
|
{{KEY|Cone}}
{{KEY|Cone}}
*Radius 1 - radius of the arc or circle defining the lower face
*Radius 1 - raza cercului sau arcului de cer definit de fațeta inferioară
*Radius 2 - radius of the arc or circle defining the upper face
*Radius 2 - raza cercului sau arcului de cerc definită de fațeta suprioară
*Height - the height of the Part Cone
*Height - înălțimea Part Cone
*Angle - numărul de grade ale arcului sau cercurilor care definesc fațeta superioară și pe cea inferioară ale conului trunchiat. Implicit 360 crează fațete circulare, o valoare mai mică va crea o porțiune a unui con, așa cum este definită de fețele superioare și inferioare, fiecare cu marginile definite de un arc cu numărul de grade și două raze.
*Angle - the number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360 creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
|}
|}
</div>


See also: [[Property_editor|Property editor]].


A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
The image below shows a Part Cone with the parameter "Angle" set to 270 degrees and all other parameters are at their default values.


=== Data ===
[[File:Otherwisedefault270degree_Part_Cone.png]]


{{TitleProperty|Attachment}}


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].
{{clear}}

<languages/>
{{TitleProperty|Cone}}

* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius2}} is larger than {{Value|0mm}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius1}} is larger than {{Value|0mm}}. The default is {{Value|4mm}}.
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Cone can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
}}

* Where {{Incode|"myCone"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()
}}


{{Docnav
|[[Part_Sphere|Sphere]]
|[[Part_Torus|Torus]]
|[[Part_Workbench|Part]]
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:56, 4 March 2022

Part Cone

poziția meniului
Part -> Cone
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Un con parametric trunchiat este un element tip primitivă geometrică disponibil pe bara de instrumente Part sau în meniu (submeniul primitives) se deschide o casetă de dialog Create Primitives .

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DateRadius1 or DateRadius2 property to zero. It can be turned into a segment of a cone by changing its DateAngle property.

Usage

Cum se folosește

În atelierul Part click pe iconița .

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Primitive Geometriche

Cono

Parametri

  • raggio 1,
  • raggio 2,
  • altezza,
  • angolo

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D,
  • direzione dell'asse del cono, x, y, z o definita dall'utente.

Anche le dimensioni e il posizionamento del cono prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà.

Opțiuni

Cone

  • Radius 1 - raza cercului sau arcului de cer definit de fațeta inferioară
  • Radius 2 - raza cercului sau arcului de cerc definită de fațeta suprioară
  • Height - înălțimea Part Cone
  • Angle - numărul de grade ale arcului sau cercurilor care definesc fațeta superioară și pe cea inferioară ale conului trunchiat. Implicit 360 crează fațete circulare, o valoare mai mică va crea o porțiune a unui con, așa cum este definită de fețele superioare și inferioare, fiecare cu marginile definite de un arc cu numărul de grade și două raze.

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DateRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DateRadius2 is larger than 0mm. The default is 2mm.
  • DateRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DateRadius1 is larger than 0mm. The default is 4mm.
  • DateHeight (Length): The height of the cone. The default is 10mm.
  • DateAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()